=== 3rdparty/CMakeLists.txt ===
add_subdirectory(parson)
if (NOT WITH_GLES2)
    add_subdirectory(angle)
endif()
