=== 3rdparty/parson/CMakeLists.txt ===
add_library(parson-obj OBJECT parson.c)
