=== debian/changelog ===
freshplayerplugin (0.3.9-2ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:03 +0100

freshplayerplugin (0.3.9-2ubuntu4) focal; urgency=medium

  * Add missing build-depend libdrm-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Feb 2020 19:53:39 +0000

freshplayerplugin (0.3.9-2ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 07:59:09 +0100

freshplayerplugin (0.3.9-2ubuntu2) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:55:25 +0000

freshplayerplugin (0.3.9-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Recommend adobe-flashplugin instead of pepperflashplugin-nonfree
    - Build only on amd64 and i386 (probably because of the recommended
      package being available only on those two architectures)
  * Dropped changes
    - run testsuite with LC_ALL=C, the new upstream correctly detects it
    - avoid duplication of plugin
    - drop icu-dev build-dependency, already dragged in automatically
    - drop ffmpeg av patch, included in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Apr 2019 08:05:22 +0200

freshplayerplugin (0.3.9-2) unstable; urgency=medium

  * Fix "FTBFS on big-endian architectures: test fails" using a
    upstream patch (thanks Rinat Ibragimov) (Closes: #916834)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 26 Dec 2018 08:46:13 +0100

freshplayerplugin (0.3.9-1) unstable; urgency=medium

  * New upstream release
    Fix compatibility with the latest Firefox versions (Closes: #902256)
  * big thanks to Gunnar Hjalmarsson <gunnar.hjalmarsson@telia.com>
    that help me for the following points:
    + remove browser-plugin-freshplayer-libpdf and
      browser-plugin-freshplayer-nacl binary packages whose wrapper have been
      dropped upstream
    + backport a patch from upstream to build with latest ffmpeg

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 21 Sep 2018 10:27:22 +0200

freshplayerplugin (0.3.9-0ubuntu4) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:11:56 +0000

freshplayerplugin (0.3.9-0ubuntu3) cosmic; urgency=medium

  * debian/control:
    - Only build amd64 and i386.
  * debian/patches/use-AV_-prefixed-macros.patch:
    - Prevent build failure with ffmpeg 7:4.0.2.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 31 Jul 2018 00:05:00 +0200

freshplayerplugin (0.3.9-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:42:44 +0000

freshplayerplugin (0.3.9-0ubuntu1) cosmic; urgency=medium

  * New upstream release (LP: #1778041)
  * debian/patches/typo-from-lintian.patch:
    - Dropped; applied upstream.
  * debian/browser-plugin-freshplayer-libpdf.install:
  * debian/browser-plugin-freshplayer-nacl.install:
  * debian/browser-plugin-freshplayer-pepperflash.install:
  * debian/control:
  * debian/rules:
    - libpdf and NaCl wrappers dropped upstream, so dropping the
      browser-plugin-freshplayer-libpdf and
      browser-plugin-freshplayer-nacl binaries.
    - Avoid duplication of libfreshwrapper-flashplayer.so.
  * debian/control:
    - Add libicu-dev to Build-Depends.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 23 Jun 2018 19:00:00 +0200
