=== debian/control ===
Source: freshplayerplugin
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: contrib/web
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               pkg-config,
               libglib2.0-dev,
               libasound2-dev,
               libx11-dev,
               libgl1-mesa-dev,
               liburiparser-dev,
               libcairo2-dev,
               libpango1.0-dev,
               libpangocairo-1.0-0,
               libpangoft2-1.0-0,
               libfreetype6-dev,
               libgtk2.0-dev,
               libxinerama-dev,
               libconfig-dev,
               libevent-dev,
               libegl1-mesa-dev,
               libgles2-mesa-dev,
               ragel,
               libssl-dev,
               libv4l-dev,
               libpulse-dev,
               libavcodec-dev,
               libavutil-dev,
               libva-dev,
               libdrm-dev,
               libvdpau-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/freshplayerplugin
Vcs-Git: https://salsa.debian.org/debian/freshplayerplugin.git
Homepage: https://github.com/i-rinat/freshplayerplugin

Package: browser-plugin-freshplayer-pepperflash
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: adobe-flashplugin
Description: PPAPI-host NPAPI-plugin adapter for pepperflash
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 Flash plugin for Linux provided by adobe stopped at version 11.2; for
 chrome/chromium users there is pepperflash plugin but it's not supported by
 firefox/iceweasel/other browsers.
 .
 This package allows one to use the Pepper Flash plugin from Chrome
 in NPAPI web browsers.
