=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --builddir build

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_LIBPDF=TRUE \
		-DWITH_NACL=TRUE \
		-DWITH_PEPPERFLASH=TRUE

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp --builddir build --

override_dh_makeshlibs:
	# not invoking dh_makeshlibs: the generated library is private
	# no need to generate shlibs file nor ldconfig calls
