=== debian/watch ===
version=4
https://github.com/i-rinat/freshplayerplugin/releases .*/freshplayerplugin-(.*)\.tar\.gz
